Index: src/mlx/gui/flight.py
===================================================================
--- src/mlx/gui/flight.py	(revision 91)
+++ src/mlx/gui/flight.py	(revision 92)
@@ -209,6 +209,8 @@
         self._loginButton.set_sensitive(False)
         self._loginButton.connect("clicked", self._loginClicked)
-        self._loginButton.set_tooltip_text("Click to log in.")
-        
+        self._loginButton.set_tooltip_text("Click to log in.")        
+
+    def activate(self):
+        """Activate the page."""
         config = self._wizard.gui.config
         self._pilotID.set_text(config.pilotID)
@@ -747,4 +749,6 @@
         self._cargoWeight.set_sensitive(True)
         self._mailWeight.set_text(str(bookedFlight.mailWeight))
+        self._simulatorZFW.set_text("-")
+        self._simulatorZFWValue = None
         self._zfwButton.set_sensitive(True)
         self._updateCalculatedZFW()
@@ -873,4 +877,5 @@
         self._departure.set_text(str(bookedFlight.departureTime.time()))
         self._arrival.set_text(str(bookedFlight.arrivalTime.time()))
+        self._simulatorTime.set_text("-")
 
     def finalize(self):
@@ -950,5 +955,4 @@
         self._cruiseLevel.set_increments(step = 10, page = 100)
         self._cruiseLevel.set_range(min = 50, max = 500)
-        self._cruiseLevel.set_value(240)
         self._cruiseLevel.set_tooltip_text("The cruise flight level.")
         self._cruiseLevel.set_numeric(True)
@@ -1009,4 +1013,5 @@
         """Setup the route from the booked flight."""
         self._route.set_sensitive(True)
+        self._cruiseLevel.set_value(240)
         self._cruiseLevel.set_sensitive(True)
         self._route.get_buffer().set_text(self._wizard._bookedFlight.route)
@@ -1188,4 +1193,6 @@
         if notams is None:
             buffer.set_text("Could not download NOTAMs")
+        elif not notams:
+            buffer.set_text("Could not download NOTAM for this airport")
         else:
             s = ""
Index: src/mlx/gui/gui.py
===================================================================
--- src/mlx/gui/gui.py	(revision 91)
+++ src/mlx/gui/gui.py	(revision 92)
@@ -60,6 +60,6 @@
         window.add(mainVBox)
 
-        notebook = gtk.Notebook()
-        mainVBox.add(notebook)
+        self._notebook = gtk.Notebook()
+        mainVBox.add(self._notebook)
 
         self._wizard = Wizard(self)
@@ -67,5 +67,5 @@
         label.set_use_underline(True)
         label.set_tooltip_text("Flight wizard")
-        notebook.append_page(self._wizard, label)
+        self._notebook.append_page(self._wizard, label)
 
         self._flightInfo = FlightInfo(self)
@@ -73,5 +73,5 @@
         label.set_use_underline(True)
         label.set_tooltip_text("Flight information")
-        notebook.append_page(self._flightInfo, label)
+        self._notebook.append_page(self._flightInfo, label)
 
         logVBox = gtk.VBox()
@@ -79,5 +79,5 @@
         label.set_use_underline(True)
         label.set_tooltip_text("Flight log")
-        notebook.append_page(logVBox, label)
+        self._notebook.append_page(logVBox, label)
         
         logFrame = self._buildLogFrame()
@@ -90,5 +90,5 @@
         mainVBox.pack_start(self._statusbar, False, False, 0)
 
-        notebook.connect("switch-page", self._notebookPageSwitch)
+        self._notebook.connect("switch-page", self._notebookPageSwitch)
 
         self._monitorWindow = MonitorWindow(self, iconDirectory)
@@ -240,12 +240,18 @@
         """Reset the GUI."""
         self._disconnect()
-        self._wizard.reset()
+
         self._flightInfo.reset()
         self.resetFlightStatus()
 
+        self._wizard.reset()
+        self._notebook.set_current_page(0)
+
+        self._logView.get_buffer().set_text("")
+
     def _disconnect(self):
         """Disconnect from the simulator if connected."""
+        self.stopMonitoring()
+
         if self._connected:
-            self.stopMonitoring()
             self._flight.simulator.disconnect()
             self._connected = False
